html, body, div.container, div.row, #controls {
    height:100%;
    overflow:hidden;
}

body {
    padding-top:56px;
}

#controls {
    padding-top:44px;
    overflow-y: auto;
}
#threadCountOut {
    font-weight:bold;
}
#colourPickers {
    padding-bottom:30px;
}
#updatePreview {
    width:100%;
}

#braidPreview {
    background-position: center;
    background-repeat: repeat-y;
}

@media (max-width: 575px) {
    #controls {    
        -webkit-box-flex: 0;
        -ms-flex: 0 0 91.6666666667%;
        flex: 0 0 91.6666666667%;
        max-width: 91.6666666667%;
    }
    
    #braidPreview {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 8.3333333333%;
        flex: 0 0 8.3333333333%;
        max-width: 8.3333333333%;
    }
}